View Issue Details

IDProjectCategoryView StatusLast Update
0008577ScribusStory Editor / Text Framespublic2011-03-24 15:52
Reporterfsnelting Assigned Tocbradney  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformPCOSLinux (Ubuntu)OS Version5.10 Breezy
Product Version1.3.3.13svn 
Target VersionFixed in Version1.4.0svn 
Summary0008577: manually typed glyph number not inserted in text
DescriptionWhen you manually type the code of a character in the Select Character palette, the corresponding character is displayed in the display field, but not inserted in the text after clicking 'insert'. It will be added correctly though, if you have clicked on the corresponding glyph, before selecting 'insert'.
Steps To ReproduceSelect a text box. Open Story Editor. Select Insert > Insert Glyph. At 'Insert Code' type 00153 for small ligature oe. Click 'insert' and close the Select Character palette. The ligature has not been added to the text.
TagsNo tags attached.
Patch

Activities

jghali

2009-11-11 20:12

administrator   ~0022830

The issue can be fixed by commenting out line 786/787 of charselect.cpp:

if (insCode->hasFocus())
    return; // don't insert glyphs when user edits HEX unicode

Not quite sure why that code was added. It has however been removed in 1.3.5+, so that issue does not exists in 1.3.5/1.5.0svn

Issue History

Date Modified Username Field Change
2009-11-11 17:44 fsnelting New Issue
2009-11-11 20:12 jghali Note Added: 0022830
2011-03-24 12:53 cbradney Status new => resolved
2011-03-24 12:53 cbradney Fixed in Version => 1.4.0svn
2011-03-24 12:53 cbradney Resolution open => fixed
2011-03-24 12:53 cbradney Assigned To => cbradney
2011-03-24 15:52 cbradney Status resolved => closed
2015-09-17 20:08 Kunda Category Story Editor / Text Frames => Story Ed/Txt Frames
2015-09-17 20:12 Kunda Category Story Ed/Txt Frames => Story Editor / Text Frames